/* Regular */

@font-face {
    font-family: 'NimbusSansExtd';
    /* src: url('assets/fonts/web-tt/Nohemi-Light.eot'); IE9 Compat Modes */
    /* src: url('assets/fonts/web-tt/Nohemi-Light.eot?#iefix') format('embedded-opentype'), IE6-IE8 */
         /* url('assets/fonts/web-tt/Nohemi-Light.woff') format('woff'), Modern Browsers */
         /* url('assets/fonts/web-tt/Nohemi-Light.woff2') format('woff2'), Modern Browsers */
    src: url('assets/fonts/Nimbus_Sans_Extd_Regular.ttf') format('truetype'); /* Safari, Android, iOS */
             font-style: normal;
    font-weight: normal;
    /* text-rendering: optimizeLegibility; */
}

/* Black ITALIC */

@font-face {
    font-family: 'NimbusSansBlack';
    /* src: url('assets/fonts/web-tt/Nohemi-Regular.eot'); IE9 Compat Modes */
    src: url('assets/fonts/nimbus-sans-black-italic.otf'),
         /* url('assets/fonts/web-tt/Nohemi-Regular.woff') format('woff'), Modern Browsers */
         /* url('assets/fonts/web-tt/Nohemi-Regular.woff2') format('woff2'), Modern Browsers */
         url('assets/fonts/nimbus-sans-black-italic.ttf') format('truetype'); /* Safari, Android, iOS */
             font-style: normal;
    font-weight: normal;
}

/* Regular */

@font-face {
    font-family: 'RiftBI';
    /* src: url('assets/fonts/web-tt/Nohemi-Regular.eot'); IE9 Compat Modes */
    src: url('assets/fonts/Rift_Bold_Italic.otf'),
         /* url('assets/fonts/web-tt/Nohemi-Regular.woff') format('woff'), Modern Browsers */
         /* url('assets/fonts/web-tt/Nohemi-Regular.woff2') format('woff2'), Modern Browsers */
         url('assets/fonts/Rift_Bold_Italic.ttf') format('truetype'); /* Safari, Android, iOS */
             font-style: normal;
    font-weight: normal;
}



* {
    margin: 0;
    padding: 0;
    overflow: hidden;
}

html {
    height: 100vh;
    margin-inline: 1rem;
    background-color: white;
    cursor: none;
}

/* @font-face {
    font-family: 'Nimbus Sans', sans-serif;
    src: url(assets/fonts/nimbus-sans-black-italic.otf);
} */

.cursor {
    position: fixed;
    width: auto;
    height: auto;
    transform: translate(-50%, -50%);
    mix-blend-mode: difference;
    pointer-events: none;
}

.main-body {
    display: grid;
    height: 100%;
    grid-template-rows: 33.333% 33.333% 33.333%;
    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);

}

.title-hover {
    position: absolute;
    bottom: -40%;
    transition: bottom 1000ms;
    left: 0;
    display: flex;
    flex-direction: column-reverse;
    width: calc(285px - 2rem);
    gap: 0.4rem;
    grid-row: 3;
    grid-column: 1;
    padding: 1rem;
    overflow: visible;
}

.titleHovered {
    bottom: 10%;
    transition: bottom 500ms;
}

.heading-container {
    position: absolute;
    bottom: 0;
    left: 0;
    display: flex;
    gap: 0.4rem;
    height: 50px;
    grid-row: 3;
    grid-column: 1;
    padding: 1rem;
    padding-bottom: 1.7rem;
    background-color: white;
}

button {

    font-family: 'NimbusSansBlack';
    font-size: 5rem;
    background: none;
    border: none;
    color: white;
    overflow: visible;
    mix-blend-mode: difference;
    transition: color 1000ms cubic-bezier(0.19, 1, 0.22, 1);


    cursor: none;
    /* -webkit-text-stroke-width: 2.5px;
        -webkit-text-stroke-color: red; */


}

.outline {
    color: black;
    -webkit-text-stroke-width: 2.5px;
    -webkit-text-stroke-color: white;
    transition: color 200ms;


}

.website-open {
    display: grid;
    grid-template-rows: 100% 0% 0%;
    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);

}

.about-open {
    grid-template-rows: 0% 100% 0%;
    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);

}

.contact-open {
    grid-template-rows: 0% 0% 100%;
    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);

}

.dv-logo {
    justify-self: flex-start;
}

h1 {
    font-family: 'RiftBI';
    /* font-style: italic; */
    line-height: 0.9rem;
    margin-top: 0.7rem;
    margin-bottom: 3rem;
    overflow: visible;

}

.wdd {
    font-family: 'NimbusSansExtd';

    font-weight: 100;
    font-style: normal;
    text-transform: lowercase;
    font-size: 1rem
}

p {
    font-family: 'NimbusSansExtd';
    font-weight: 100;
    font-size: 1.2rem;

}


.linkTo-icon {
    width: 15px;
    margin-right: 0.4rem;
}

.info-icon {
    width: 21px;

}

a {
    font-family: 'NimbusSansBlack';
    cursor: none;
}

.r1 {
    display: grid;
    align-items: flex-start;
    margin-top: 1rem;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 25% 0%;

    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);


}

.r1open {
    grid-template-rows: 20% 80%;

    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);

}

.r2 {
    display: grid;
    grid-template-columns: 0% 100% 0%;
    grid-template-rows: 0% 100% 0%;
    align-items: center;

    /* transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1); */
    transition: grid-template-columns 700ms cubic-bezier(0.19, 1, 0.22, 1);

}

.r2open {
    grid-template-rows: 33.33% 33.33% 33.33%;
    grid-template-columns: 50% 0% 50%;
    /* transition: grid-template-rows 1500ms cubic-bezier(0.19, 1, 0.22, 1); */
    transition: grid-template-columns 2200ms cubic-bezier(0.19, 1, 0.22, 1);
}

.r3 {
    display: grid;
    align-items: end;
    grid-template-columns: 66.66% 33.33%;

    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);


}

.r3open {
    grid-template-rows: 66.66% 33.33%;

    transition: grid-template-rows 800ms cubic-bezier(0.19, 1, 0.22, 1);


}

#websites {
    text-align: left;
}

.website-list {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 80%;
    grid-column: 1;
    opacity: 0;
    transition: opacity 300ms;
    grid-column: 1 / span 2;

}

.website-list a {
    display: flex;
    align-items: center;
    gap: .5rem;

    font-family: 'Nimbus Sans extd';
    font-weight: 100;
    font-size: 1.2rem;
    vertical-align: text-bottom;


}

.website-list a span {
    display: flex;
    align-items: center;
    vertical-align: text-bottom;

}

.displayWebsiteList {
    opacity: 1;
    transition: opacity 100ms;
}

#about {
    justify-self: center;
    grid-column: 2;
    grid-row: 2;
}

.about-copy {
    grid-column: 3;
    text-align: right;
    /* grid-column: 3; */
    /* transition: grid-column 800ms cubic-bezier(0.19, 1, 0.22, 1); */


}

.displayAboutCopy {
    display: grid;
    /* grid-column: 2 / span 3; */
    /* transition: grid-column 800ms cubic-bezier(0.19, 1, 0.22, 1); */

}

#contact {
    justify-self: flex-end;
    grid-column: 2;
    grid-row: 2;
    overflow: visible;
    padding-right: 0.2rem;
}

/* .email{

} */
.contact-info {
    display: none;
    align-self: flex-start;
    margin-top: 2rem;
    height: 100%;
}

.displayContactInfo {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

}


@media (width < 500px) {
    .cursor {
        display: none;
    }

    button {
        font-size: 3.5rem;
    }

    .main-body {
        height: 88%;
        grid-template-columns: 1fr;
    }

    #websites {
        text-align: center;
    }

    .dv-logo {
        height: 4rem;
    }

    h1 {
        font-size: 2rem;
        line-height: 1rem;
        margin-top: 1.1rem;

    }

    .wdd {
        font-size: 1rem;
    }

    .heading-container {
        display: flex;
        gap: 0.4rem;
        width: auto;
        grid-column: 1;
        margin-inline: auto;
        padding: 1rem;
        padding-bottom: 1.7rem;
        position: absolute;
        background-color: white;
    }

    .title-hover {
        margin-left: 6px;
        width: calc(298px - 2rem);
    }

    /* Website Row */

    .r1 {
        grid-template-columns: 100%;
    }

    #websites {
        text-align: left;
    }

    .website-list a {
        /* font-size: 1rem; */
        justify-content: space-between;
    }


    /* About Row */

    .r2 {
        grid-template-columns: 100%;
        overflow: hidden;
    }

    .r2open {
        grid-template-columns: 100%;

    }

    #about {
        grid-column: 1;
        z-index: 200;
    }

    .about-copy {
        display: grid;
        grid-column: 1;
        grid-template-columns: 100% 0%;
        transition: grid-template-columns 800ms cubic-bezier(0.19, 1, 0.22, 1);

    }

    .about-copy p {
        font-size: 1rem;
        grid-column: 2;
    }

    .displayAboutCopy {
        grid-template-columns: 0% 100%;
        transition: grid-template-columns 800ms cubic-bezier(0.19, 1, 0.22, 1);

    }

    /* Contact Row */

    .r3 {
        grid-template-columns: 100%;
    }

    .r3open {
        grid-template-columns: 100%;
    }

    #contact {
        grid-column: 1;
    }


    .contact-info p {
        font-size: 1rem;
    }
}

/* @media (height < 667px) {
    .title-hover {
        bottom: -50%;

    }
} */

@media (min-height: 650px) {
    .title-hover {
        bottom: -50%;


    }

    .titleHovered {
        bottom: 10%;
    }

    #contact {
        margin-bottom: 0.1rem;
    }
}